Description

A SmartExecutor plugin (TwMonCron) uses the SmartExecutor.stop function to stop a TwMonCrawler plugin when it reaches the

given deadline. The stop function actually is not able to stop the plugin and causes an Exception (see catalina.out).

I saw, in a ticket (#10064), that @LucaFrosini solved the problem. Is it possible to update the twittermon1.d4science.org VM with the

working version?

The twittermon1.d4science.org VM currently should host only two SmartExecutor plugins for the TwitterMonitor application.

History

#1 - Oct 31, 2017 03:07 PM - Andrea Dell'Amico

@luca.frosini@isti.cnr.it is there a stable build available that contains that fix?

#2 - Oct 31, 2017 03:13 PM - Luca Frosini

It will be part of next release. We can install the new version just the twitter monitor instance if the bug is blocking. @salvatore.minutoli@iit.cnr.it is it

blocking for you?

#3 - Oct 31, 2017 03:18 PM - Salvatore Minutoli

Yes, actually it is blocking since it is the only way to stop a crawler once it has been started. Otherwise it runs forever and the user will not see the

results.

If it is nor a problem to update it, it would be very useful.

#4 - Oct 31, 2017 03:43 PM - Luca Frosini

@roberto.cirillo@isti.cnr.it @andrea.dellamico@isti.cnr.it I have just deployed 1.8.0-SNAPSHOT on snapshot repository. Can you please run the

playbook setting the correct repository

#5 - Oct 31, 2017 03:54 PM - Luca Frosini

@salvatore.minutoli@iit.cnr.it we are going to update the dev instance. Once upgraded can you please test the dev instance. If you confirm that the

path is working we will upgrade the production.

#6 - Oct 31, 2017 04:36 PM - Roberto Cirillo

- Status changed from New to In Progress

- Assignee changed from _InfraScience Systems Engineer to Roberto Cirillo

I'm going to upgrade the dev instance hosted on node19.d4science.org

#7 - Oct 31, 2017 04:36 PM - Roberto Cirillo

- Infrastructure Development added

#8 - Oct 31, 2017 04:48 PM - Roberto Cirillo

- Status changed from In Progress to Feedback

- Assignee changed from Roberto Cirillo to Salvatore Minutoli

- % Done changed from 0 to 50

Th dev instance is ready to test.

#9 - Oct 31, 2017 05:20 PM - Salvatore Minutoli

- Assignee changed from Salvatore Minutoli to _InfraScience Systems Engineer
- % Done changed from 50 to 0

I need some additional information:

Is the assigned scope devNext/devNext?

Are the TwitterMonitor SmartEx plugins present?

Is the database (TwitterMonitorDatabase) available for the plugins in this scope?

#10 - Oct 31, 2017 05:52 PM - Roberto Cirillo

- Assignee changed from _InfraScience Systems Engineer to Salvatore Minutoli

Salvatore Minutoli wrote:

I need some additional information:

Is the assigned scope devNext/devNext?

 The right scope name is devNext/NextNext. The scope devNext/devNext isn't a valid scope name. I guess you are referring to devNext/NextNext

scope.

Are the TwitterMonitor SmartEx plugins present?

 Yes, of course. The plugins are present and updated

Is the database (TwitterMonitorDatabase) available for the plugins in this scope?

 Yes, of course. I've just upgrade the smart-executor service and consequently the plugins. The db was already present on devNext/NextNext scope.

#11 - Nov 02, 2017 04:38 PM - Salvatore Minutoli

In the development machine the stop function works correctly.

Please wait before switching to Production since I got an error that I reported in ticket https://support.d4science.org/issues/10194, even if it is in

another library (Home library).

#12 - Nov 03, 2017 09:06 AM - Luca Frosini

@salvatore.minutoli@iit.cnr.it please close the ticket if the issue is solved.

#13 - Nov 03, 2017 12:57 PM - Salvatore Minutoli

- Status changed from Feedback to Closed
